com.independentsoft.exchange

## Class FolderPropertyPath

- java.lang.Object
- - com.independentsoft.exchange.FolderPropertyPath

-     public class FolderPropertyPath
      extends java.lang.Object

  The Class FolderPropertyPath.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UnindexedPropertyPath` | `ARCHIVE_TAG`
    `static UnindexedPropertyPath` | `CHILD_FOLDER_COUNT`
    `static PropertyTag` | `COMMENT`
    `static PropertyTag` | `CREATION_TIME`
    `static UnindexedPropertyPath` | `DISPLAY_NAME`
    `static UnindexedPropertyPath` | `DISTINGUISHED_FOLDER_ID`
    `static UnindexedPropertyPath` | `EFFECTIVE_RIGHTS`
    `static PropertyTag` | `ENTRY_ID`
    `static UnindexedPropertyPath` | `FOLDER_CLASS`
    `static UnindexedPropertyPath` | `FOLDER_ID`
    `static PropertyTag` | `HAS_SUB_FOLDERS`
    `static PropertyTag` | `IS_HIDDEN`
    `static PropertyTag` | `IS_READ_ONLY`
    `static PropertyTag` | `IS_SYSTEM`
    `static PropertyTag` | `LAST_MODIFIED_TIME`
    `static UnindexedPropertyPath` | `MANAGED_FOLDER_INFORMATION`
    `static UnindexedPropertyPath` | `PARENT_ID`
    `static UnindexedPropertyPath` | `PERMISSION_SET`
    `static UnindexedPropertyPath` | `RETENTION_TAG`
    `static PropertyTag` | `SEARCH_KEY`
    `static PropertyTag` | `SIZE`
    `static UnindexedPropertyPath` | `TOTAL_COUNT`
    `static PropertyTag` | `UNREAD_COUNT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<PropertyPath>` | `getAllPropertyPaths()` Gets the all property paths.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FOLDER_ID

          public static final UnindexedPropertyPath FOLDER_ID

    - #### PARENT_ID

          public static final UnindexedPropertyPath PARENT_ID

    - #### FOLDER_CLASS

          public static final UnindexedPropertyPath FOLDER_CLASS

    - #### DISPLAY_NAME

          public static final UnindexedPropertyPath DISPLAY_NAME

    - #### MANAGED_FOLDER_INFORMATION

          public static final UnindexedPropertyPath MANAGED_FOLDER_INFORMATION

    - #### EFFECTIVE_RIGHTS

          public static final UnindexedPropertyPath EFFECTIVE_RIGHTS

    - #### PERMISSION_SET

          public static final UnindexedPropertyPath PERMISSION_SET

    - #### DISTINGUISHED_FOLDER_ID

          public static final UnindexedPropertyPath DISTINGUISHED_FOLDER_ID

    - #### RETENTION_TAG

          public static final UnindexedPropertyPath RETENTION_TAG

    - #### ARCHIVE_TAG

          public static final UnindexedPropertyPath ARCHIVE_TAG

    - #### TOTAL_COUNT

          public static final UnindexedPropertyPath TOTAL_COUNT

    - #### CHILD_FOLDER_COUNT

          public static final UnindexedPropertyPath CHILD_FOLDER_COUNT

    - #### UNREAD_COUNT

          public static final PropertyTag UNREAD_COUNT

    - #### COMMENT

          public static final PropertyTag COMMENT

    - #### ENTRY_ID

          public static final PropertyTag ENTRY_ID

    - #### CREATION_TIME

          public static final PropertyTag CREATION_TIME

    - #### LAST_MODIFIED_TIME

          public static final PropertyTag LAST_MODIFIED_TIME

    - #### SIZE

          public static final PropertyTag SIZE

    - #### IS_HIDDEN

          public static final PropertyTag IS_HIDDEN

    - #### IS_READ_ONLY

          public static final PropertyTag IS_READ_ONLY

    - #### IS_SYSTEM

          public static final PropertyTag IS_SYSTEM

    - #### HAS_SUB_FOLDERS

          public static final PropertyTag HAS_SUB_FOLDERS

    - #### SEARCH_KEY

          public static final PropertyTag SEARCH_KEY

  - ### Method Detail

    - #### getAllPropertyPaths

          public static java.util.List<PropertyPath> getAllPropertyPaths()

      Gets the all property paths.
      Returns:
        the all property paths